Bug 964042 - Failed to connect postgresql for scalable application
Failed to connect postgresql for scalable application
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Fotios Lindiakos
libra bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 02:39 EDT by Wei Sun
Modified: 2015-05-14 19:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:05:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2013-05-17 02:39:57 EDT
Description of problem:
Create a scalable app with postgresql-8.4,and log in app to connect postgresql,but failed to connect.

Version-Release number of selected component (if applicable):
devenv_3236

How reproducible:
Always

Steps to Reproduce:
1.Create a scalable app with postgresql-8.4
2.Log in app to connect postgresql
3.
  
Actual results:
[py27st-wsunaccep3236.dev.rhcloud.com 5195c81d02e7890915000004]\> psql
psql: could not connect to server: No route to host
	Is the server running on host "127.0.253.129" and accepting
	TCP/IP connections on port 35566?


Expected results:
Can connect it successfully

Additional info:
could be connected from the postgresql's gear
[5195c81d02e7890915000005-wsunaccep3236.dev.rhcloud.com 5195c81d02e7890915000005]\> psql
psql (8.4.13)
Type "help" for help.
py27st=#
Comment 1 Fotios Lindiakos 2013-05-17 11:24:26 EDT
Found and fixed this yesterday, but didn't finish merging the PR. Should be done shortly.
https://github.com/openshift/origin-server/pull/2515
Comment 2 Fotios Lindiakos 2013-05-17 16:53:34 EDT
This is merged and ready for testing.
Comment 3 Wei Sun 2013-05-20 02:16:04 EDT
Verified on devenv_3247
Result:
[ews2s-wsundev3247.dev.rhcloud.com 5199ae93990e970907000001]\> ls
app-root  git  haproxy    jbossews
[ews2s-wsundev3247.dev.rhcloud.com 5199ae93990e970907000001]\> psql
psql (8.4.13)
Type "help" for help.
ews2s=#

Note You need to log in before you can comment on or make changes to this bug.